<?php
/**
 * @version 1.5
 * @package RealEstateManagerTop
 * @copyright 2009 OrdaSoft
 * @author 2009 Sergey Drughinin-OrdaSoft(Sergey.dru@gmail.com)
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @description RealEstateManagerTop for RealEstateManager Component
*/

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Restricted access' );
$database = &JFactory::getDBO();

if( !function_exists( 'sefreltoabs')) {
  function sefRelToAbs( $value ) {
    //Need check!!!

    // Replace all &amp; with & as the router doesn't understand &amp;
    $url = str_replace('&amp;', '&', $value);
    if(substr(strtolower($url),0,9) != "index.php") return $url;
    $uri    = JURI::getInstance();
    $prefix = $uri->toString(array('scheme', 'host', 'port'));
    return $prefix.JRoute::_($url);
  }
}

//Common parameters
$sort_top_by    = $params->def('sort_by_top', 0);        //Get how to sort the top items
$show_published    = $params->def('only_published', 1);    //Get if we only show published items
$show_covers     = $params->def('covers', 0 );             //Get if we Real Estate  photos
$cover_height    = $params->def('cover_height', "50");     //Get Real Estate  photos
$show_extra        = $params->def('extras', 1 );             //Get if we show second column with additional info
$show_ranking    = $params->def('ranking', 0 );             //Get if we show the ranking next to them
//Individual parameters
$count_realestate = intval($params->def('books',1)); 

//realestate
//Definition of Sorts
switch($sort_top_by) 
{
    case 0:
        $sql_sort_top = "hits";
        break;
    case 1:
        $sql_sort_top = "date";
        break;
   // case 2:
     //   $sql_sort_top = "rating";
   //     break;
}

 
//Check if only display published items
if ($show_published==1) {
    $sql_published = "published=1";
} else {
    $sql_published = "";
}


if($count_realestate!='' && $count_realestate!=0) {
$selectstring = "SELECT htitle,id,image_link,hits,catid FROM #__rem_houses WHERE ".$sql_published." ORDER BY ".$sql_sort_top." DESC LIMIT 0$count_realestate;";
    $database->setQuery($selectstring);
    $rows_realestate= $database->loadObjectList();
}
    $selectstring = "SELECT id FROM #__menu WHERE link='index.php?option=com_realestatemanager'";
    $database->setQuery($selectstring);
    $ItemId_tmp = $database->loadResult();
    

function Display_REM_top($rows, $name, $show_ranking, $show_covers, $show_extra, $cover_height, $ItemId_tmp) {
        $rank_count = 0;
        $span=0;
        if($show_ranking!=0) $span++;
        if($show_covers!=0) $span++;
        if($show_extra!=0) $span++;
    ?>   
         <table cellpadding="0" cellspacing="0" class="moduletable" width="100%" border="0">          
         
    <?php foreach ($rows as $row) {
    $rank_count = $rank_count + 1;    //start ranking
    $link1 ="index.php?option=com_realestatemanager&amp;task=view&amp;id=".$row->id."&amp;catid=".$row->catid."&amp;Itemid=".$ItemId_tmp;


       $imageURL = $row->image_link ;
	if($imageURL != '' && substr($imageURL,0,4) != "http")
        {
            $imageURL = "./components/com_realestatemanager/photos/".$row->image_link; 

}
        if($imageURL == ''){
            $imageURL = "./components/com_realestatemanager/images/no-img_eng.gif";
       }     
   


?>
        <tr>
            <?php if($show_ranking==1) { echo "<td>".$rank_count.":&nbsp;</td>"; } //Add Column for Ranking if param set ?>
            <?php if ($show_covers==1) {?>
            <td>
            <img src="<?php echo $imageURL; ?>" alt="<?php echo $row->htitle; ?>" hspace="2" vspace="2" border="0" height="<?php echo $cover_height; ?>" />
            </td><?php 
                } ?>
            <td width="160" <?php if($span!=0)  echo "colspan='$span'";?>>
                <a href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self""><?php echo $row->htitle; ?></a>
            </td>
            <?php if($show_extra==1) {?>
            <td align="right">
                     <font class='small'>(<?php echo $row->hits; ?>)</font>
            </td>
        </tr>
           <?php } ?>
<?php } ?>
        </table>
<?php
}    
?>

   
<?php 
if(count($rows_realestate)) { Display_REM_top($rows_realestate, "Top  Real Estate", $show_ranking, $show_covers, $show_extra,$cover_height, $ItemId_tmp); }
   
?>
  
     
     
     
     
  
